## bbdb 2.00

=== Makefile ===
# Makefile for the Insidious Big Brother Database.
# Original Author: Jamie Zawinski (jwz@netscape.com)
#
# Makefile,v 1.58 1998/03/10 07:27:02 simmonmt Exp
#
# Makefile,v
# Revision 1.58  1998/03/10 07:27:02  simmonmt
# Removed my paths, added comments about the Custom requirement for
# building Gnus support under 19.34
#
# Revision 1.57  1998/02/23 07:08:48  simmonmt
# Alphabetized MUA directory variables, added OTHERDIR variable
#
# Revision 1.56  1997/11/02 06:35:43  simmonmt
# Fixed package install - `foo 'bar` (as opposed to `foo 'bar'`) works
# in Bourne shell, but not in others.  That and it's not exactly
# intuitive.
#
# Revision 1.55  1997/10/26 05:11:20  simmonmt
# Installation timing change: .el before .elc.  Tried to optimize
# install
#
# Revision 1.54  1997/10/11 23:48:40  simmonmt
# Removed my paths from VMDIR and MHEDIR.  Seems I had broken the
# documented 'if these are blank and the packages live on load-path,
# Emacs will find them' behavior by dying if VMDIR, MHEDIR and GNUSDIR
# weren't set.  It's fixed now.
#
# Revision 1.53  1997/10/06 01:15:13  simmonmt
# Fixed for new grand reorg.  Rewrote XEmacs package installation code.
#
#

# ************************
# MUA-specific definitions
# ************************

# If the VM, GNUS, or MH-E source is not in the standard emacs library 
# (that is, it's not on the load-path by default in a -q emacs) then
# set these variables to point at them.  You need to do this because
# otherwise "require" won't work in the batch emacs.
#
# Set the ones you've got, and comment out the rest.
GNUSDIR         = 
MHEDIR 	        = 
VMDIR           = 

# ***************************
# Locations of other packages
# ***************************
#
# Add the directories (if any) containing the optional packages you
# will use with the BBDB (see the "Byte Compiling the Lisp files"
# section of the BBDB manual for more information).  If more than one
# directory is to be used, separate the directories with spaces.  Do
# not quote the directory names.  GNU Emacs 19.34 should put the path
# to Custom 1.9962 here if they plan to build Gnus support.
OTHERDIR	=

# **************************
# XEmacs Packagization (sp?)
# **************************

# If you're installing this as an XEmacs package, either set the following
# variable to point to the root of the package directory, or set it on the
# command line ( 'make PACKAGEROOT=foo' )
#PACKAGEROOT=

# Uncomment this definition if you want the lisp and info files to be linked
# in (as opposed to being copied)
#LINKTOPACKAGE=yes

# If you uncommented the above, the lisp and info directories will be linked
# from this directory to PACKAGEROOT.  For example, lisp will be linked with:
#
#   ln -s `pwd`/lisp $(PACKAGEROOT)/bbdb/lisp
#
# If `pwd` will not return the correct path, set LINKPATH below to the correct
# path.
#LINKPATH=

# *******************************
# Other important things to check
# *******************************

        EMACS = xemacs -no-site-file -no-init-file
     MAKEINFO = makeinfo

# Uncomment one of the below
#  SYSVINSTALL = /usr/sbin/install
   BSDINSTALL = /usr/ucb/install

          TAR = tar
     COMPRESS = gzip --verbose --best
 COMPRESS_EXT = gz

   BUILDFLAGS = $(MAKEFLAGS) "EMACS=$(EMACS)" "MAKEINFO=$(MAKEINFO)" \
		"VMDIR=$(VMDIR)" "GNUSDIR=$(GNUSDIR)" "MHEDIR=$(MHEDIR)" \
		"OTHERDIR=$(OTHERDIR)"

#    COMPRESS = compress
#COMPRESS_EXT = Z

# You shouldn't need to change anything after this point.

syntax:
	@echo "" ;\
	echo "*** make one or more of: rmail vm mhe gnus all bbdb" ;\
	echo "" ;\

all: bbdb rmail vm mhe gnus info

bbdb:
	cd lisp; $(MAKE) $(BUILDFLAGS) bbdb

rmail:
	cd lisp; $(MAKE) $(BUILDFLAGS) rmail

vm:
	cd lisp; $(MAKE) $(BUILDFLAGS) vm

mhe:
	cd lisp; $(MAKE) $(BUILDFLAGS) mhe

gnus:
	cd lisp; $(MAKE) $(BUILDFLAGS) gnus

autoloads:
	cd lisp; $(MAKE) $(BUILDFLAGS) autoloads

install-pkg: bbdb autoloads info
	if [ -z "$(PACKAGEROOT)" ] ; then \
	   echo "You must specify PACKAGEROOT (see Makefile)"; \
	   exit 1 ; \
	else \
	   rm -fr $(PACKAGEROOT)/lisp/bbdb $(PACKAGEROOT)/info/bbdb \
		  $(PACKAGEROOT)/etc/bbdb; \
           if [ -z "$(LINKTOPACKAGE)" ] ; then \
	      mkdir -p -m 0755 $(PACKAGEROOT)/lisp/bbdb; \
	      if [ -z "$(SYSVINSTALL)" ] ; then \
		for i in `ls lisp/*.elc` ; do \
		   $(BSDINSTALL) -c -m 0644 `echo $$i | sed 's/c$$//g'` \
			$(PACKAGEROOT)/lisp/bbdb ; \
		   $(BSDINSTALL) -c -m 0644 $$i $(PACKAGEROOT)/lisp/bbdb ; \
		done ; \
	      else \
		for i in `ls lisp/*.elc` ; do \
		   $(SYSVINSTALL) -c $(PACKAGEROOT)/lisp/bbdb -s -m 0644 \
			`echo $$i | sed 's/c$$//g'` $(PACKAGEROOT)/lisp/bbdb ; \
		   $(SYSVINSTALL) -c $(PACKAGEROOT)/lisp/bbdb -s -m 0644 $$i ; \
		done ; \
	      fi ; \
	      mkdir -p -m 0755 $(PACKAGEROOT)/info/bbdb ; \
	      if [ -z "$(SYSVINSTALL)" ] ; then \
		for i in `ls texinfo/*.info* ` ; do \
		   $(BSDINSTALL) -c -m 0644 $$i $(PACKAGEROOT)/info/bbdb ; \
		done ; \
	      else \
		for i in `ls texinfo/*.info* ` ; do \
		   $(SYSVINSTALL) -c $(PACKAGEROOT)/info/bbdb -s -m 0644 $$i ; \
		done ; \
	      fi ; \
	      mkdir -p -m 0755 $(PACKAGEROOT)/etc/bbdb/tex \
			       $(PACKAGEROOT)/etc/bbdb/utils ; \
	      if [ -z "$(SYSVINSTALL)" ] ; then \
		for i in `ls tex/*.tex` ; do \
		   $(BSDINSTALL) -c -m 0644 $$i $(PACKAGEROOT)/etc/bbdb/tex ; \
		done ; \
		for i in `ls -d utils/* |egrep -v '(RCS|SCCS)'` ; do \
		   $(BSDINSTALL) -c -m 0644 $$i $(PACKAGEROOT)/etc/bbdb/utils ; \
		done ; \
	      else \
		for i in `ls tex/*.tex` ; do \
		   $(SYSVINSTALL) -c $(PACKAGEROOT)/etc/bbdb/tex -s -m 0644 $$i; \
		done ; \
		for i in `ls -d utils/* |egrep -v '(RCS|SCCS)'` ; do \
		   $(SYSVINSTALL) -c $(PACKAGEROOT)/etc/bbdb/utils -s -m 0644 $$i; \
		done ; \
	      fi ; \
	   else \
	      if [ -z "$(LINKPATH)" ] ; then \
		 ln -s `pwd`/lisp $(PACKAGEROOT)/lisp/bbdb ; \
		 ln -s `pwd`/texinfo $(PACKAGEROOT)/info/bbdb ; \
	      else \
		 ln -s $(LINKPATH)/lisp $(PACKAGEROOT)/lisp/bbdb ; \
		 ln -s $(LINKPATH)/texinfo $(PACKAGEROOT)/info/bbdb ; \
	      fi ; \
	   fi ; \
	fi

info:
	cd texinfo; $(MAKE)

clean:
	cd lisp; $(MAKE) clean
	cd texinfo; $(MAKE) clean

# Testing


# FSF Emacs 19.34

emacs19.34-test: emacs19.34-test-setup emacs19.34-test-bbdb
emacs19.34-test: emacs19.34-test-rmail emacs19.34-test-vm
emacs19.34-test: emacs19.34-test-mhe   emacs19.34-test-gnus
emacs19.34-test: emacs19.34-test-all

emacs19.34-test-setup:
	@echo '--- TESTING BBDB WITH FSF EMACS 19.34 ---'
	@echo
	@echo '** Setting up **'
	make clean
	rm -f /p/local/elisp-19.34/gnus/lisp/*
	cp /home/simmonmt/gnus/lisp/*.el /p/local/elisp-19.34/gnus/lisp

emacs19.34-test-bbdb:
	@echo
	@echo '** Testing build of "bbdb" **'
	@echo
	-make EMACS=emacs-19.34 GNUSDIR=/p/local/elisp-19.34/gnus/lisp \
	      OTHERDIR=/p/local/elisp-19.34/custom-1.9962 bbdb

emacs19.34-test-rmail:
	@echo
	@echo '** Testing build of "rmail" **'
	@echo
	-make EMACS=emacs-19.34 GNUSDIR=/p/local/elisp-19.34/gnus/lisp \
	      OTHERDIR=/p/local/elisp-19.34/custom-1.9962 rmail

emacs19.34-test-vm:
	@echo
	@echo '** Testing build of "vm" **'
	@echo
	-make EMACS=emacs-19.34 GNUSDIR=/p/local/elisp-19.34/gnus/lisp \
	      OTHERDIR=/p/local/elisp-19.34/custom-1.9962 vm

emacs19.34-test-mhe:
	@echo
	@echo '** Testing build of "mhe" **'
	@echo
	-make EMACS=emacs-19.34 GNUSDIR=/p/local/elisp-19.34/gnus/lisp \
	      OTHERDIR=/p/local/elisp-19.34/custom-1.9962 mhe

emacs19.34-test-gnus:
	@echo
	@echo '** Testing build of "gnus" **'
	@echo
	-make EMACS=emacs-19.34 GNUSDIR=/p/local/elisp-19.34/gnus/lisp \
	      OTHERDIR=/p/local/elisp-19.34/custom-1.9962 gnus

emacs19.34-test-all:
	@echo
	@echo '** Testing build of "all" **'
	@echo
	-make clean
	-make EMACS=emacs-19.34 GNUSDIR=/p/local/elisp-19.34/gnus/lisp \
	      OTHERDIR=/p/local/elisp-19.34/custom-1.9962 all

# FSF Emacs 20.2

emacs20.2-test: emacs20.2-test-setup emacs20.2-test-bbdb
emacs20.2-test: emacs20.2-test-rmail emacs20.2-test-vm
emacs20.2-test: emacs20.2-test-mhe   emacs20.2-test-gnus
emacs20.2-test: emacs20.2-test-all

emacs20.2-test-setup:
	@echo '--- TESTING BBDB WITH FSF EMACS 20.2 ---'
	@echo
	@echo '** Setting up **'
	make clean
	rm -f /p/local/elisp-20.2/gnus/lisp/*
	cp /home/simmonmt/gnus/lisp/*.el /p/local/elisp-20.2/gnus/lisp

emacs20.2-test-bbdb:
	@echo
	@echo '** Testing build of "bbdb" **'
	@echo
	-make EMACS=emacs-20.2 GNUSDIR=/p/local/elisp-20.2/gnus/lisp bbdb

emacs20.2-test-rmail:
	@echo
	@echo '** Testing build of "rmail" **'
	@echo
	-make EMACS=emacs-20.2 GNUSDIR=/p/local/elisp-20.2/gnus/lisp rmail

emacs20.2-test-vm:
	@echo
	@echo '** Testing build of "vm" **'
	@echo
	-make EMACS=emacs-20.2 GNUSDIR=/p/local/elisp-20.2/gnus/lisp vm

emacs20.2-test-mhe:
	@echo
	@echo '** Testing build of "mhe" **'
	@echo
	-make EMACS=emacs-20.2 GNUSDIR=/p/local/elisp-20.2/gnus/lisp mhe

emacs20.2-test-gnus:
	@echo
	@echo '** Testing build of "gnus" **'
	@echo
	-make EMACS=emacs-20.2 GNUSDIR=/p/local/elisp-20.2/gnus/lisp gnus

emacs20.2-test-all:
	@echo
	@echo '** Testing build of "all" **'
	@echo
	-make clean
	-make EMACS=emacs-20.2 GNUSDIR=/p/local/elisp-20.2/gnus/lisp all


# Deployment

TARFILES=	bbdb-Makefile bbdb.texinfo bbdb.el $(DEPSRCS) \
		bbdb-print.tex multicol.tex

tar: $(TARFILES)
	@NAME=`sed -n							     \
  's/^(defconst bbdb-version "\([0-9]\.[0-9][0-9]*\).*/bbdb-\1/p' bbdb.el` ; \
  rm -f $$NAME ; ln -s . $$NAME ;					    \
  echo creating tar file $${NAME}.tar.$(COMPRESS_EXT)... ;		    \
   $(TAR) -vchf - `echo $(TARFILES)				    	    \
   | sed "s|^|$$NAME/|g; s| | $$NAME/|g" `				    \
   | $(COMPRESS) > $${NAME}.tar.$(COMPRESS_EXT) ;			    \
  rm $$NAME

=== lisp/Makefile ===
# Makefile for the Insidious Big Brother Database.
# Original Author: Jamie Zawinski (jwz@netscape.com)
#
# Makefile,v 1.7 1998/03/10 07:33:12 simmonmt Exp
#
# Makefile,v
# Revision 1.7  1998/03/10 07:33:12  simmonmt
# Finally fixed that damn 19.34 :link problem - needed to put OTHERDIR
# stuff first in the load-path before loading bbdb.el.
#
# Revision 1.6  1998/02/23 07:23:23  simmonmt
# Support for OTHERDIR, rearranged flags to Emacs so we can use
# bbdb-split-string (19.34 doesn't have split-string)
#
# Revision 1.5  1998/01/06 06:48:50  simmonmt
# Fixed bug
#
# Revision 1.4  1998/01/06 06:45:39  simmonmt
# Added deploy target.  Added migrate.el
#
# Revision 1.3  1997/11/02 06:32:38  simmonmt
# Support for bbdb-sc.el
#
# Revision 1.2  1997/10/12 00:24:41  simmonmt
# Changed VM, GNUS, and MHE definitions.  If the corresponding DIR
# variables are set, the (the DIR vars) are added to load-path.  The
# relevant el files are then loaded using the load-path.  This allows
# VMDIR, et al to be unset if the packages live in load-path by
# default.  Added bbdb-snarf and bbdb-w3.  Made the bbdb-srv and
# bbdb-reportmail skip messages more informative for the poor souls (FSF
# Emacs users) who can't use them.  Added a check for itimer, since
# apparently some FSF Emacs users have installed gnuserv - without
# itimer, bbdb-srv still won't compile.
#
# Revision 1.1  1997/10/06 01:16:00  simmonmt
# Initial revision
#
#

# this is lovely, isn't it?  Surprisingly enough, it seems to work...
VM	= -eval '(progn (if (not (string-match "$(VMDIR)" ""))            \
			    (setq load-path (cons "$(VMDIR)" load-path))) \
			(if (load "vm-version" t)                         \
			    (cond ((> (string-to-number vm-version) 5.31) \
                                   (load "vm"))                           \
                                  (t (load "vm-vars") (load "vm")))))'

GNUS	= -eval '(if (not (string-match "$(GNUSDIR)" ""))             \
		     (setq load-path (cons "$(GNUSDIR)" load-path)))' 

MHE	= -eval '(progn (if (not (string-match "$(MHEDIR)" ""))            \
			    (setq load-path (cons "$(MHEDIR)" load-path))) \
			(load "mh-e"))'

# This is hideous and sick, but FSF 19.34 doesn't ship with split, and we
# can't load bbdb.el to get bbdb-split because we have to put OTHERDIR
# at the front of the load-path before loading bbdb.el.  This makes my
# head hurt.
PUSHPATH= -eval "`\
           dir=\". $(OTHERDIR)\"; \
	   echo \(setq load-path \(append \(list ; \
           for i in $$dir ; do \
              echo \\"$$i\\"\ ; \
	   done ;\
	   echo \) load-path\)\) ; \
           `"

#foo:
#	@echo $(PUSHPATH)
#	echo
#	$(EMACS) -batch -q $(PUSHPATH) -eval '(message (prin1-to-string load-path))'

#-eval '(setq load-path                                        \
#                     (append (bbdb-split (if (/= 0 (length "$(OTHERDIR)")) \
#                                              (concat ". " "$(OTHERDIR)")   \
#                                              ".") " ")                     \
#					       load-path))'

        EMACS = xemacs
     MAKEINFO = makeinfo

.SUFFIXES: .elc .el .tar .Z .gz .uu

DEPSRCS=	bbdb-com.el  bbdb-hooks.el  bbdb-gnus.el  bbdb-mhe.el \
		bbdb-rmail.el bbdb-vm.el bbdb-ftp.el bbdb-whois.el \
		bbdb-xemacs.el bbdb-print.el bbdb-srv.el bbdb-reportmail.el \
		bbdb-migrate.el

DEPBINS=	${DEPSRCS:.el=.elc}
SRCS=		bbdb.el  $(DEPSRCS)
BINS=		bbdb.elc $(DEPBINS)

syntax:
	@echo "" ;\
	echo "*** Make should be run from the `cd ..;pwd` directory" ;\
	echo "" ;\

all:	rmail gnus vm mhe bbdb info

auto-autoloads.elc: auto-autoloads.el
	$(EMACS) -batch -q -f batch-byte-compile ./auto-autoloads.el

bbdb.elc:            bbdb.el
bbdb-com.elc:        bbdb.elc bbdb-com.el
bbdb-ftp.elc:        bbdb.elc bbdb-ftp.el
bbdb-migrate.elc:    bbdb.elc bbdb-migrate.el
bbdb-print.elc:      bbdb.elc bbdb-print.el
bbdb-snarf.elc:      bbdb.elc bbdb-snarf.el
bbdb-whois.elc:      bbdb.elc bbdb-whois.el
bbdb-w3.elc:         bbdb.elc bbdb-w3.el
bbdb-xemacs.elc:     bbdb.elc bbdb-xemacs.el

.el.elc:
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc -f batch-byte-compile $<

bbdb.elc:	bbdb.el
	$(EMACS) -batch -q -f batch-byte-compile ./bbdb.el

bbdb-gnus.elc:	bbdb.elc bbdb-gnus.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc $(GNUS)   \
		-f batch-byte-compile $(@:.elc=.el)
bbdb-mhe.elc:	bbdb.elc bbdb-mhe.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc $(MHE)    \
		-f batch-byte-compile $(@:.elc=.el)
bbdb-rmail.elc:	bbdb.elc bbdb-rmail.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc $(RMAIL)  \
		-f batch-byte-compile $(@:.elc=.el)
bbdb-vm.elc:	bbdb.elc bbdb-vm.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc $(VM)     \
		-f batch-byte-compile $(@:.elc=.el)

bbdb-srv.elc:   bbdb.elc bbdb-srv.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc -eval '(if (and (locate-library "gnuserv") (locate-library "itimer")) (byte-compile-file "bbdb-srv.el") (message "Optional package bbdb-srv skipped - gnuserv not found"))'

bbdb-reportmail.elc: bbdb.elc bbdb-reportmail.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc -eval '(if (locate-library "reportmail") (byte-compile-file "bbdb-reportmail.el") (message "Optional package bbdb-reportmail skipped - reportmail not found"))'

bbdb-sc.elc: bbdb.elc bbdb-sc.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc -eval '(if (locate-library "supercite") (byte-compile-file "bbdb-sc.el") (message "Optional package bbdb-sc skipped - supercite not found"))'

# bbdb-hooks uses VM macros if it can find VM.  If you don't have VM,
# then the $(VM) makefile variable should be undefined or empty.
bbdb-hooks.elc:  bbdb.elc bbdb-hooks.el
	$(EMACS) -batch -q $(PUSHPATH) -l ./bbdb.elc $(VM) \
	-f batch-byte-compile $(@:.elc=.el)

autoloads: auto-autoloads.elc

extras: bbdb-print.elc bbdb-ftp.elc bbdb-whois.elc bbdb-xemacs.elc  \
	bbdb-srv.elc bbdb-reportmail.elc bbdb-snarf.elc bbdb-w3.elc \
	bbdb-sc.elc bbdb-migrate.elc
bbdb:	bbdb.elc bbdb-com.elc bbdb-hooks.elc extras
rmail:	bbdb bbdb-rmail.elc
vm:	bbdb bbdb-vm.elc
mhe:	bbdb bbdb-mhe.elc
gnus:	bbdb bbdb-gnus.elc
# aliases
mh:	mhe
mh-e:	mhe

deploy:
	@for fname in `cd RCS; ls |sed 's/,v$$//g'` ; do \
	  if [ -w "$$fname" ] ; then \
	    echo "File $$fname needs to be checked in" ; \
	    exit 1 ; \
	  fi ; \
	done ; \
	if [ -z "$(REVTAG)" ] ; then \
	  echo "REVTAG needs to be set" ; \
	  exit 1 ; \
	fi ; \
	rcs "-n$(REVTAG)": RCS/* ; \
	co -kv RCS/*


clean:
	$(RM) bbdb.elc bbdb-*.elc bbdb.info auto-autoloads.elc

## bbdb 2.36

=== debian/changelog ===
bbdb (2.36-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace emacs24 with emacs25 as a (build)-dependency. Leave emacs24 for backports
    (Closes: #870680).

 -- David Bremner <bremner@debian.org>  Thu, 03 Aug 2017 22:31:54 -0400

bbdb (2.36-4) unstable; urgency=medium

  * engage dh autoreconf, rm ./configure, relax regarding ./configure +x bit
  * updates to debian/README.Debian and debian/README.source
  * remove CVS keyword expansion artifacts
  * add savannah repo pointers to bbdb.texinfo
  * remove PHONY stuff in debian/rules
  * remove stray old-style quasiquote in macro
  * allow emacs24 to satisfy dependencies
  * bump standards version, dh version
  * single debian patch source option

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2014 12:17:32 +0000

bbdb (2.36-3) unstable; urgency=low
  
  [ Sébastien Villemot ]
  * debian/bbdb.emacsen-install: no longer create /root/.gnupg during
    installation of the package. This is achieved by binding GNUPGHOME to a
    temporary directory during bytecode compilation (Closes: #694417)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Nov 2012 11:52:46 +0000

bbdb (2.36-2) unstable; urgency=low

  * Update to bbdb-vcard 0.3, which better parses birthdays
  * bump standards version (debian/changelog)
  * bump to dh 8, dh --parallel, dh --with autotools_dev (debian/compat,
    debian/control, debian/rules)
  * rephrase for grammar and Moore's Law (debian/bbdb.emacsen-install)
    (closes: #440192, #540539)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Dec 2010 14:57:47 +0000

bbdb (2.36-1) unstable; urgency=low

  * New "upstream" release.
  * Look for upstream in github repo (debian/watch)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Apr 2010 20:18:13 +0100

bbdb (2.35.cvs20080316-7) unstable; urgency=low

  * Update to bbdb-vcard 0.2, which no longer uses convcard
  * Switch to dpkg-source 3.0 (quilt) format
  * Build dependency on texlive-latex-base (closes: #577860)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Apr 2010 09:59:29 +0100

bbdb (2.35.cvs20080316-6) unstable; urgency=low

  * Update bbdb-vcard
  * Suggest multisync-tools for convcard used (default) by bbdb-vcard
  * Use dpkg-source 1.0 format, as 3.0 (git) cannot handle submodules

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Mar 2010 10:31:32 +0000

bbdb (2.35.cvs20080316-5) unstable; urgency=low

  * fiddle with info stuff for robustness
  * require emacs at build, avoiding extras install problem (closes: #571686)
  * include bbdb-vcard in bits tarball

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Mar 2010 16:20:16 +0000

bbdb (2.35.cvs20080316-4) unstable; urgency=low

  * prevent debian build-time error when emacs not installed (closes: #571434)
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Feb 2010 09:04:09 +0000

bbdb (2.35.cvs20080316-3) unstable; urgency=low

  * chmod +x configure patch, thanks to Kumar Appaiah (closes: #567197)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 Feb 2010 13:43:30 +0000

bbdb (2.35.cvs20080316-2) unstable; urgency=low

  * Misc additional files in bits/
  * Minor packaging tweaks
  * Build dependency for /usr/bin/tex (closes: #560582)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Dec 2009 20:26:22 -0500

bbdb (2.35.cvs20080316-1) unstable; urgency=low

  * Merge ongoing changes from upstream.  (Closes: #440191)
    - Includes menu commands (Closes: #96300)
    - Fixes lisp/Makefile.in target extras mixing .el .elc  (Closes: #366059)
  * Bring into GIT.
  * Regenerate debian/Makepatch to accommodate upstream changes.
  * Fix RMAIL insinuation in Emacs 23.  (Closes: #556993)
  * Apply bbdb startup patch from Peter S Galbraith.  (Closes: #353937)
  * Correct typo.  (Closes: #488729)
  * Update backquote style in file lisp/bbdb-com.el.  (Closes: #475600)
  * Update Debian packaging.
    - Avoiding double-installing bbdb-pilot-jwz.el file.  (Closes: #557356)
    - Avoiding double-installing .tex files.
    - dh 7.
    - rev deb std.
    - debian/copyright updates: FSF address, common license location, expand.
    - Misc housekeeping and tracking policy.
    - Give debian patch files consistent names and locations.
  * Switch scripts from /usr/bin/bbdb-FOO.pl to /usr/bin/bbdb-FOO.
  * Merge Ununtu patch that symlinks some .el files at emacsen-install time.
  * Include PDF documentation.
  * Add Barak A. Pearlmutter <bap@debian.org> as co-maintainer.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Dec 2009 22:10:39 -0500

bbdb (2.35.cvs20060204-1.2) unstable; urgency=low

  * NMU with the permission of the maintainer to adjust the dependencies
    to accommodate the removal of emacs21.  Change the emacs21 dependency
    to emacs23 and the emacs21 build dependency to emacs22 or emacs23.
    Thanks to Sven Joachim <svenjoac@gmx.de>.  (Closes: #478799)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Aug 2009 12:16:02 -0700

bbdb (2.35.cvs20060204-1.1) unstable; urgency=low

  * NMU with the permission of the maintainer.
  * Set coding system when writing .bbdb file to prevent data corruption.
    (Closes: #351778)

 -- Hubert Chan <hubert@uhoreg.ca>  Thu, 13 Apr 2006 15:42:40 +0200

bbdb (2.35.cvs20060204-1) unstable; urgency=low

  * New CVS co
    - Bug fix: "bbdb-news-auto-create-p with 'prompt doesn't work" (Closes: #296577).
  * Bug fix: "bbdb: File error: "Cannot open load file",
    'bbdb-autoloads'" (Closes: #344032, #345186, #345297, #350449, #308336, #279920).
  * Bug fix: "bbdb does not work with gnus-5.10", (works for me [TM]) (Closes: #192904).

 -- Joerg Jaspert <joerg@debian.org>  Sat,  4 Feb 2006 16:32:31 +0100

bbdb (2.35.cvs20040528-1) unstable; urgency=low

  * CVS co - last changes there are from 28.05.2004
  * Bug fix: "fails to load : missing bbdb-vm.el". (Closes: #179821, #180024, #210248, #233904).
  * Removed | emacs20 from Depends. (Closes: #232731)
  * Removed old w3-el-e{20|19} Suggests.


=== debian/control ===
Source: bbdb
Section: mail
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
    dh-autoreconf
Build-Depends-Indep: texinfo, texi2html, ghostscript,
    texlive-base, texlive-latex-base,
    emacs25-nox | emacs25 | emacs24-nox | emacs24 | emacs
Standards-Version: 3.9.5
Vcs-Git: git://github.com/barak/BBDB.git
Vcs-Browser: http://github.com/barak/BBDB
Homepage: http://bbdb.sourceforge.net/

Package: bbdb
Architecture: all
Depends: make, emacs25 | emacs24 | emacsen, ${misc:Depends}, ${perl:Depends}
Suggests: vm, w3m-el, gnuserv, gnus|t-gnus, perl
Description: The Insidious Big Brother Database (email rolodex) for Emacs
 BBDB is a rolodex-like database program for GNU Emacs.  BBDB stands
 for Insidious Big Brother Database, and is not, repeat, *not* an
 obscure reference to the Buck Rogers TV series.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_build: bits.tar.gz
	$(MAKE) -C texinfo bbdb.info bbdb.pdf
	texi2html --split=chapter --output=texinfo/bbdb texinfo/bbdb.texinfo

override_dh_install:
	dh_install
	@echo Give perl executables to implementation-agnostic filenames
	cd debian/bbdb/usr/bin && \
	for f in *.pl; do \
	  mv $$f $$(basename $$f .pl); \
	done
	@echo Apply Debian patches
	for f in $$(find debian/patches -name '*.patch'); do \
	  echo applying patch: $$f ; \
	  d=debian/bbdb/usr/share/emacs/site-lisp/bbdb ; \
	  patch $$d/$$(echo $$f | sed 's|^debian/patches/\(.*\)[.]patch$$|\1|') $$f; \
	done

bits.tar.gz:
	tar -cf - extern/*/* | tar -C bits -xvf -
	tar -czf bits.tar.gz bits/

## bbdb 3.0.1

=== debian/changelog ===
bbdb (3.0.1) unstable; urgency=medium

  * Re-upload to unstable

 -- David Bremner <bremner@debian.org>  Mon, 23 Sep 2019 19:56:11 -0300

bbdb (3.0) experimental; urgency=medium

  * Salvage package (Closes: #901938)
  * Update Vcs-*
  * Convert to dependency package installing bbdb3
  * convert to native package
  * bump version number.
  * switch to debhelper-compat 12
  * bump Standards-Version to 4.4.0. No changes (other than deleting almost
    everything) necessary.

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 15:40:14 -0300

=== debian/control ===
Source: bbdb
Section: mail
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/emacsen-team/bbdb.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/bbdb
Homepage: http://savannah.nongnu.org/projects/bbdb/

Package: bbdb
Architecture: all
Depends: bbdb3, ${misc:Depends}
Description: The Insidious Big Brother Database (email rolodex) for Emacs
 This is a transitional package and maybe safely deleted.

## bbdb 3.0.3

=== debian/changelog ===
bbdb (3.0.3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:40:57 +0900

bbdb (3.0.2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:09:57 +0900

## bbdb 3.0.3build1

=== debian/changelog ===
bbdb (3.0.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:26:57 +0000
